xTASK_PARAMETERS Struct Reference

`#include <task.h>`

## Data Fields

TaskFunction_t | pvTaskCode
const char *const | pcName
uint16_t | usStackDepth
void * | pvParameters
UBaseType_t | uxPriority
StackType_t * | puxStackBuffer
MemoryRegion_t | xRegions [portNUM_CONFIGURABLE_REGIONS]

## Field Documentation

## pcName

const char* const pcName

## puxStackBuffer

StackType_t* puxStackBuffer

## pvParameters

void* pvParameters

## pvTaskCode

TaskFunction_t pvTaskCode

## usStackDepth

uint16_t usStackDepth

## uxPriority

UBaseType_t uxPriority

## xRegions

MemoryRegion_t xRegions[portNUM_CONFIGURABLE_REGIONS]

The documentation for this struct was generated from the following file:

- task.h